Bug 1274151 - puppet classes import
puppet classes import
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Host Configuration Guide (Show other bugs)
6.1.0
All Linux
high Severity high (vote)
: 6.2.5
: 6.2
Assigned To: Lucie Jirakova
Brandi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 02:36 EDT by Anand Vaddarapu
Modified: 2016-11-07 03:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-07 03:32:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anand Vaddarapu 2015-10-22 02:36:42 EDT
Description of problem:

Reference to docs: https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html-single/User_Guide/index.html#chap-Red_Hat_Satellite-User_Guide-Security_Compliance_Management_with_OpenSCAP

In the Satellite web UI, select Configure → Puppet classes → Import from SATELLITE_HOST. Select the line with the new module and click Update to load the module. 

If admin user sets context to a certain org/user then 'import' button disappears. By changing to "any context" we can import. Can you update docs containing 'individual puppet classes won't be able to import if context set to org/user and context should be set to 'any context' and then you assign the environment of the puppet classes to org/loc.



Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html-single/User_Guide/index.html#chap-Red_Hat_Satellite-User_Guide-Security_Compliance_Management_with_OpenSCAP
Section Number and Name:
Comment 1 Andrew Dahms 2016-10-12 22:01:50 EDT
Assigning to Lucie for review.

Lucie - let's make the change for this in the current 6.2 documentation.

Note You need to log in before you can comment on or make changes to this bug.